# NinetyEight.NEGameProfile

## Class NEGameProfile <a href="#ninetyeight_negameprofile" id="ninetyeight_negameprofile"></a>

Namespace: NinetyEight\
Assembly: APIReference.dll

Player's game profile, including wallet address and ID.

```csharp
[Serializable]
public class NEGameProfile
```

**Inheritance**

[object](https://learn.microsoft.com/dotnet/api/system.object) ←NEGameProfile

**Inherited Members**

[object.Equals(object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object\)),[object.Equals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object-system-object\)),[object.GetHashCode()](https://learn.microsoft.com/dotnet/api/system.object.gethashcode),[object.GetType()](https://learn.microsoft.com/dotnet/api/system.object.gettype),[object.MemberwiseClone()](https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone),[object.ReferenceEquals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals),[object.ToString()](https://learn.microsoft.com/dotnet/api/system.object.tostring)

### Fields

#### address <a href="#ninetyeight_negameprofile_address" id="ninetyeight_negameprofile_address"></a>

Player's wallet address.

```csharp
public string? address
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)?

#### id <a href="#ninetyeight_negameprofile_id" id="ninetyeight_negameprofile_id"></a>

Player's ID.

```csharp
public int id
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eternals.game/gdk-documentation/unity/api-reference/v1.0.0/ninetyeight.negameprofile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
